Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.metadata
Class RendererSetMetaData

    java.lang.Object
      org.jboss.portal.theme.metadata.RendererSetMetaData

    public class RendererSetMetaData

extends java.lang.Object

Meta data describing a render set.

exmaple of a render set descriptor:

org.jboss.portal.theme.impl.render.div.DivRegionRenderer org.jboss.portal.theme.impl.render.div.DivWindowRenderer org.jboss.portal.theme.impl.render.div.DivPortletRenderer org.jboss.portal.theme.impl.render.div.DivDecorationRenderer org.jboss.portal.theme.impl.render.empty.EmptyRegionRenderer org.jboss.portal.theme.impl.render.empty.EmptyWindowRenderer org.jboss.portal.theme.impl.render.empty.EmptyPortletRenderer org.jboss.portal.theme.impl.render.empty.EmptyDecorationRenderer

Version:
  $Revision: 10337 $
Author:
  Martin Holzner

Constructor Summary
`RendererSetMetaData()`

Method Summary
`java.lang.String` | `getDecorationRenderer()`
`org.jboss.portal.common.net.media.MediaType` | `getMediaType()`
`java.lang.String` | `getPortletRenderer()`
`java.lang.String` | `getRegionRenderer()`
`java.lang.String` | `getWindowRenderer()`
`boolean` | `isAjaxEnabled()`
`void` | `setAjaxEnabled(boolean ajaxEnabled)`
`void` | `setDecorationRenderer(java.lang.String decorationRenderer)`
`void` | `setMediaType(org.jboss.portal.common.net.media.MediaType mediaType)`
`void` | `setPortletRenderer(java.lang.String portletRenderer)`
`void` | `setRegionRenderer(java.lang.String regionRenderer)`
`void` | `setWindowRenderer(java.lang.String windowRenderer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RendererSetMetaData

    public RendererSetMetaData()

Method Detail

### getMediaType

    public org.jboss.portal.common.net.media.MediaType getMediaType()

### setMediaType

    public void setMediaType(org.jboss.portal.common.net.media.MediaType mediaType)

### getRegionRenderer

    public java.lang.String getRegionRenderer()

### setRegionRenderer

    public void setRegionRenderer(java.lang.String regionRenderer)

### getWindowRenderer

    public java.lang.String getWindowRenderer()

### setWindowRenderer

    public void setWindowRenderer(java.lang.String windowRenderer)

### getDecorationRenderer

    public java.lang.String getDecorationRenderer()

### setDecorationRenderer

    public void setDecorationRenderer(java.lang.String decorationRenderer)

### getPortletRenderer

    public java.lang.String getPortletRenderer()

### setPortletRenderer

    public void setPortletRenderer(java.lang.String portletRenderer)

### isAjaxEnabled

    public boolean isAjaxEnabled()

### setAjaxEnabled

    public void setAjaxEnabled(boolean ajaxEnabled)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD